CREATE TABLE fa_system_controls_ (
    COMPANY_NAME                      VARCHAR2(120) ,
    DATE_PLACED_IN_SERVICE            DATE          ,
    LOCATION_FLEX_STRUCTURE           NUMBER(18, 0) ,
    CATEGORY_FLEX_STRUCTURE           NUMBER(18, 0) ,
    ASSET_KEY_FLEX_STRUCTURE          NUMBER(18, 0) ,
    INITIAL_ASSET_ID                  NUMBER(18, 0) ,
    USE_CUSTOM_ASSET_NUMBERS_FLAG     VARCHAR2(4)   ,
    CREATION_DATE                     TIMESTAMP(6)  ,
    CREATED_BY                        VARCHAR2(256) ,
    LAST_UPDATE_DATE                  TIMESTAMP(6)  ,
    LAST_UPDATED_BY                   VARCHAR2(256) ,
    LAST_UPDATE_LOGIN                 VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER             NUMBER(9, 0)  ,
    ATTRIBUTE1                        VARCHAR2(600) ,
    ATTRIBUTE2                        VARCHAR2(600) ,
    ATTRIBUTE3                        VARCHAR2(600) ,
    ATTRIBUTE4                        VARCHAR2(600) ,
    ATTRIBUTE5                        VARCHAR2(600) ,
    ATTRIBUTE6                        VARCHAR2(600) ,
    ATTRIBUTE7                        VARCHAR2(600) ,
    ATTRIBUTE8                        VARCHAR2(600) ,
    ATTRIBUTE9                        VARCHAR2(600) ,
    ATTRIBUTE10                       VARCHAR2(600) ,
    ATTRIBUTE11                       VARCHAR2(600) ,
    ATTRIBUTE12                       VARCHAR2(600) ,
    ATTRIBUTE13                       VARCHAR2(600) ,
    ATTRIBUTE14                       VARCHAR2(600) ,
    ATTRIBUTE15                       VARCHAR2(600) ,
    ATTRIBUTE_CATEGORY_CODE           VARCHAR2(120) ,
    AUDIT_ACTION_TYPE_                VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_             VARCHAR2(4000),
    AUDIT_IMPERSONATOR_               VARCHAR2(256) ,
    LAST_USED_ASSET_NUMBER            NUMBER(30, 0) ,
    PREVENT_USER_ASSET_NUMBER_FLAG    VARCHAR2(4)   ,
    COMPANY_NAME                      VARCHAR2(120) ,
    DATE_PLACED_IN_SERVICE            DATE          ,
    LOCATION_FLEX_STRUCTURE           NUMBER(18, 0) ,
    CATEGORY_FLEX_STRUCTURE           NUMBER(18, 0) ,
    ASSET_KEY_FLEX_STRUCTURE          NUMBER(18, 0) ,
    INITIAL_ASSET_ID                  NUMBER(18, 0) ,
    USE_CUSTOM_ASSET_NUMBERS_FLAG     VARCHAR2(4)   ,
    CREATION_DATE                     TIMESTAMP(6)  ,
    CREATED_BY                        VARCHAR2(256) ,
    LAST_UPDATE_DATE                  TIMESTAMP(6)  ,
    LAST_UPDATED_BY                   VARCHAR2(256) ,
    LAST_UPDATE_LOGIN                 VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER             NUMBER(9, 0)  ,
    ATTRIBUTE1                        VARCHAR2(600) ,
    ATTRIBUTE2                        VARCHAR2(600) ,
    ATTRIBUTE3                        VARCHAR2(600) ,
    ATTRIBUTE4                        VARCHAR2(600) ,
    ATTRIBUTE5                        VARCHAR2(600) ,
    ATTRIBUTE6                        VARCHAR2(600) ,
    ATTRIBUTE7                        VARCHAR2(600) ,
    ATTRIBUTE8                        VARCHAR2(600) ,
    ATTRIBUTE9                        VARCHAR2(600) ,
    ATTRIBUTE10                       VARCHAR2(600) ,
    ATTRIBUTE11                       VARCHAR2(600) ,
    ATTRIBUTE12                       VARCHAR2(600) ,
    ATTRIBUTE13                       VARCHAR2(600) ,
    ATTRIBUTE14                       VARCHAR2(600) ,
    ATTRIBUTE15                       VARCHAR2(600) ,
    ATTRIBUTE_CATEGORY_CODE           VARCHAR2(120) ,
    AUDIT_ACTION_TYPE_                VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_             VARCHAR2(4000),
    AUDIT_IMPERSONATOR_               VARCHAR2(256) ,
    LAST_USED_ASSET_NUMBER            NUMBER(30, 0) ,
    PREVENT_USER_ASSET_NUMBER_FLAG    VARCHAR2(4)   ,
    CONSTRAINT pk_fa_system_controls_ PRIMARY KEY (COMPANY_NAME, LAST_UPDATE_DATE, LAST_UPDATED_BY, COMPANY_NAME, LAST_UPDATE_DATE, LAST_UPDATED_BY)
);
